$(document).ready(function () {
    drawSideMenu();
});

function drawSideMenu() {

    let url = location.href.split("/").slice(-1);
    url = url[0].split('.');
    let pagina = url[0];

    let page;

    switch (pagina) {
        case 'pumpStation':
            page = 1;
            break;
        case 'main':
        case 'puntoVenta':
            page = 1;
            break;
        case 'transacciones':
            page = 2;
            break;
        case 'resumenCaja':
            page = 3;
            break;
        case 'clientesCreditos':
            page = 4;
            break;
        case 'ajustes':
        case 'ajustesForm':
        case 'registroEntradas':
            page = 5;
            break;
        case 'cambioDeFactura':
            page = 6;
            break;
        case 'consultaPrecios':
            page = 11;
            break;
        case 'configuracion':
            page = 12;
            break;
        default:
            page = 0;
            break;
    }
    var strSideMenu = "";
    if (localStorage.isMobile == 'true') {
        $('#username').html(localStorage.nombreUsuario);

        strSideMenu += `<li>`;
        strSideMenu += `<a href="#">`
        strSideMenu += `<i class="material-icons">account_circle</i>`
        strSideMenu += `<span id="username" class="truncate dark-text name">${localStorage.nombreUsuario}</span>`
        strSideMenu += `</a>`
        strSideMenu += `</li>`
        strSideMenu += `<li><div class="divider"></div></li>`
        strSideMenu += `<li>`
        strSideMenu += `<a onclick="menu(10);" class="${(page === 5) ? 'accent-color' : ''}">`
        strSideMenu += `<i class="material-icons ${(page === 5) ? 'accent-color' : ''}">assignment_turned_in</i>`
        strSideMenu += `Movimientos de Inventario`
        strSideMenu += `</a>`
        strSideMenu += `</li>`
        strSideMenu += `<li><div class="divider"></div></li>`
        strSideMenu += `<li>`
        strSideMenu += `<a class="waves-effect" onclick="logout();">`
        strSideMenu += `<i class="material-icons">exit_to_app</i>`
        strSideMenu += `Cerrar Sesi&#243;n`
        strSideMenu += `</a>`
        strSideMenu += `</li>`

    } else {
        $('#username').html(localStorage.nombreUsuario);
        
        // INFO USUARIO
        strSideMenu += `<li>`;
        strSideMenu += `<a href="#">`
        strSideMenu += `<i class="material-icons">account_circle</i>`
        strSideMenu += `<span id="username" class="truncate dark-text name">${localStorage.nombreUsuario}</span>`
        strSideMenu += `</a>`
        strSideMenu += `</li>`
        
        // CAJA
        strSideMenu += `<li><div class="divider"></div></li>`
        strSideMenu += `<li>`
        strSideMenu += `<a onclick="menu(1);" class="${(page === 1) ? 'accent-color' : ''}">`
        strSideMenu += `<i class="material-icons ${(page === 1) ? 'accent-color' : ''}">shopping_basket</i>`
        strSideMenu += `Caja`
        strSideMenu += `</a>`
        strSideMenu += `</li>`

        if(localStorage.tipoUsuario <= 2){
            //Movimientos del dia
            strSideMenu += `<li>`
            strSideMenu += `<a onclick="menu(2);" class="${(page === 2) ? 'accent-color' : ''}">`
            strSideMenu += `<i class="material-icons ${(page === 2) ? 'accent-color' : ''}">featured_play_list</i>`
            strSideMenu += `Movimientos del d&#237;a`
            strSideMenu += `</a>`
            strSideMenu += `</li>`
        }

        //Cambio de Factura
        strSideMenu += `<li>`
        strSideMenu += `<a onclick="menu(6);" class="${(page === 6) ? 'accent-color' : ''}">`
        strSideMenu += `<i class="material-icons ${(page === 6) ? 'accent-color' : ''}">sync</i>`
        strSideMenu += `Cambio de Factura`
        strSideMenu += `</a>`
        strSideMenu += `</li>`


        if(localStorage.tipoUsuario <= 2){
            //Clientes Creditos
            strSideMenu += `<li>`
            strSideMenu += `<a onclick="menu(9);" class="${(page === 4) ? 'accent-color' : ''}">`
            strSideMenu += `<i class="material-icons ${(page === 4) ? 'accent-color' : ''}">people</i>`
            strSideMenu += `Clientes Cr&eacute;ditos`
            strSideMenu += `</a>`
            strSideMenu += `</li>`
        }

        if(localStorage.tipoUsuario <= 2){
            //Resumen de Caja
            strSideMenu += `<li>`
            strSideMenu += `<a onclick="menu(7);" class="${(page === 3) ? 'accent-color' : ''}">`
            strSideMenu += `<i class="material-icons ${(page === 3) ? 'accent-color' : ''}">list</i>`
            strSideMenu += `Resumen de Caja`
            strSideMenu += `</a>`
            strSideMenu += `</li>`
        }


        // Consulta de Precios y existencias
        strSideMenu += `<li>`
        strSideMenu += `<a onclick="menu(11);" class="${(page === 11) ? 'accent-color' : ''}">`
        strSideMenu += `<i class="material-icons ${(page === 11) ? 'accent-color' : ''}">import_contacts</i>`
        strSideMenu += `Consulta de Precios`
        strSideMenu += `</a>`
        strSideMenu += `</li>`


        if(localStorage.tipoUsuario <= 2){
            //Movimientos de inventario
            strSideMenu += `<li>`
            strSideMenu += `<a onclick="menu(10);" class="${(page === 5) ? 'accent-color' : ''}">`
            strSideMenu += `<i class="material-icons ${(page === 5) ? 'accent-color' : ''}">assignment_turned_in</i>`
            strSideMenu += `Movimientos de Inventario`
            strSideMenu += `</a>`
            strSideMenu += `</li>`
        }

        if(localStorage.tipoUsuario <= 2){
            // Print Resumen
            strSideMenu += `<li>`
            strSideMenu += `<a onclick="menu(3);">`
            strSideMenu += `<i class="material-icons">local_printshop</i>`
            strSideMenu += `Imprimir Resumen`
            strSideMenu += `</a>`
            strSideMenu += `</li>`
        }

        if(localStorage.tipoUsuario <= 2){
            // Vale de Caja
            strSideMenu += `<li>`
            strSideMenu += `<a onclick="menu(4);">`
            strSideMenu += `<i class="material-icons">receipt</i>`
            strSideMenu += `Vale de Caja`
            strSideMenu += `</a>`
            strSideMenu += `</li>`
        }

        // Corte de Caja
        strSideMenu += `<li>`
        strSideMenu += `<a onclick="menu(5);">`
        strSideMenu += `<i class="material-icons">call_to_action</i>`
        strSideMenu += `Corte de Caja`
        strSideMenu += `</a>`
        strSideMenu += `</li>`

        if(localStorage.tipoUsuario <= 2){
            //Configuracion
            strSideMenu += `<li>`
            strSideMenu += `<a onclick="menu(12);" class="${(page === 12) ? 'accent-color' : ''}">`
            strSideMenu += `<i class="material-icons ${(page === 12) ? 'accent-color' : ''}">settings</i>`
            strSideMenu += `Configuracion`
            strSideMenu += `</a>`
            strSideMenu += `</li>`
        }

        // Cerrar Sesion
        strSideMenu += `<li><div class="divider"></div></li>`
        strSideMenu += `<li>`
        strSideMenu += `<a class="waves-effect" onclick="logout();">`
        strSideMenu += `<i class="material-icons">exit_to_app</i>`
        strSideMenu += `Cerrar Sesi&#243;n`
        strSideMenu += `</a>`
        strSideMenu += `</li>`

    }
    $('#slide-out').html(strSideMenu);
    $('.sidenav').sidenav();
}


function openSideMenu() {
    //console.log($(".sidenav").val())
    $('.sidenav').sidenav('open');
}

function logout() {
    Swal.fire({
        title: '&iquest;Desea Continuar?',
        icon: 'question',
        showCancelButton: false,
        showCloseButton: true,
        confirmButtonColor: '#3085d6',
        confirmButtonText: 'Cerrar Sesi&oacute;n',
    }).then((result) => {
        if (result.value) {
            salirCaja();
        }
    });
}

function onBackKeyDown() {
    logout();
}

// Funciones del menu lateral
function menu(option) {
    switch (option) {
        case 1:
            if (localStorage.shopFacturas == "true") {
                window.location = "puntoVenta.html";
            } else {
                window.location = "main.html";
            }
            break;
        case 2:
            window.location = "transacciones.html";
            break;
        case 3:
            lecturaCaja();
            break;
        case 4:
            try {
                valeCaja();
            } catch (e) {
                if (e instanceof ReferenceError) {
                    Swal.fire({
                        icon: "warning",
                        title: "Ingrese a caja para realizar un vale",
                        showCloseButton: true,
                        confirmButtonText: "Entendido"
                    }).then((result) => {
                        if (localStorage.shopFacturas == "true") {
                            window.location = "puntoVenta.html";
                        } else {
                            window.location = "main.html";
                        }
                    });
                }
            }
           
            break;
        case 5:
            window.location = "corte.html";
            break;
        case 6:
            window.location = "cambioDeFactura.html";
            break;
        case 7:
            window.location = "resumenCaja.html";
            break;
        /*    
        case 7:
            sunmiInnerPrinter.cutPaper();
            break;
        */
        case 8:
            sunmiInnerPrinter.printerInit()
                .then(() => {
                    return sunmiInnerPrinter.printString('\n\n');
                })
                .then(() => {
                    return sunmiInnerPrinter.setAlignment(0);
                })
                .then(() => {
                    return sunmiInnerPrinter.printTextWithFont(`Font Size S : ${fontS}\n`, "", fontS);
                })
                .then(() => {
                    return sunmiInnerPrinter.setAlignment(1);
                })
                .then(() => {
                    return sunmiInnerPrinter.printTextWithFont(`Font Size M : ${fontM}\n`, "", fontM);
                })
                .then(() => {
                    return sunmiInnerPrinter.setAlignment(2);
                })
                .then(() => {
                    return sunmiInnerPrinter.printTextWithFont(`Font Size L : ${fontL}\n`, "", fontL);
                })
                .then(() => {
                    if (hasCutter)
                        return sunmiInnerPrinter.cutPaper();
                    else
                        return true;
                })
                .then(() => {
                    if (localStorage.isMobile != 'true' && val.openCashDrawer){
                        try{
                            sunmiInnerPrinter.openDrawer();
                        }
                        catch(exception){}
                        return true;
                    }else{return true}
                });
            break;
        case 9:
            window.location = "clientesCreditos.html";
            break;
        case 10:
            window.location = "ajustes.html";
            break;
        case 11:
            window.location = "consultaPrecios.html";
            break;
        case 12:
            window.location = "configuracion.html";
            break;
    }
}