function getConfig() {
    let url = `http://${document.getElementById("host").value}/api/services/index.php`;
    let user = document.getElementById("user").value;
    let pwd = document.getElementById("pwd").value;

    params = {
        service: "getAppConfig",
        usuario: user,
        password: pwd,
    };
    $.post(url, params, function (data) {
        if (data !== null) {
            let print = '';
            $.each(data, function (key, val) {
                // print += `
                // case '${val.opcion}':
                //     localStorage.${val.opcion} = val.valor;
                //     break;
                //     `;

                switch (val.opcion) {
                    case 'dbName':
                        localStorage.dbName = val.valor;
                        break;

                    case 'host':
                        localStorage.host = val.valor;
                        break;

                    case 'hostImages':
                        localStorage.hostImages = val.valor;
                        break;

                    case 'urlFEL':
                        localStorage.urlFEL = val.valor;
                        break;

                    case 'tokenFEL':
                        localStorage.tokenFEL = val.valor;
                        break;

                    case 'leyendaFEL':
                        localStorage.leyendaFEL = val.valor;
                        break;

                    case 'nombreFEL':
                        localStorage.nombreFEL = val.valor;
                        break;

                    case 'sunmiDevice':
                        localStorage.sunmiDevice = val.valor;
                        break;

                    case 'emitirRecibo':
                        localStorage.emitirRecibo = val.valor;
                        break;

                    case 'usaComandas':
                        localStorage.usaComandas = val.valor;
                        break;

                    case 'pVariable':
                        localStorage.pVariable = val.valor;
                        break;

                    case 'propina':
                        localStorage.propina = val.valor;
                        break;

                    case 'nitExt':
                        localStorage.nitExt = val.valor;
                        break;

                    case 'ATO':
                    case 'ato':
                        localStorage.ato = val.valor;
                        break;

                    case 'papel':
                        localStorage.papel = val.valor;
                        break;

                    case 'footerFEL':
                        localStorage.footerFEL = val.valor;
                        break;

                    case 'showImg':
                        localStorage.showImg = val.valor;
                        break;

                    case 'touchEnabled':
                        localStorage.touchEnabled = val.valor;
                        break;
                    case 'authDelProd':
                        localStorage.authDelProd = val.valor;
                        break;

                    case 'hasCutter':
                        localStorage.hasCutter = val.valor;
                        break;
                    case 'shopFacturas':
                        localStorage.shopFacturas = val.valor;
                        break;
                    case 'facturaDefault':
                        localStorage.facturaDefault = val.valor;
                        break;
                    case 'devoluciones':
                        localStorage.devoluciones = val.valor;
                        break;
                    case 'corteManual':
                        localStorage.corteManual = val.valor;
                        break;
                    case 'precioSucursal':
                        localStorage.precioSucursal = val.valor;
                        break;
                    case 'digitalPersona':
                        localStorage.digitalPersona = val.valor;
                        break;
                    case 'notaCredito':
                        localStorage.notaCredito = val.valor;
                        break;
                    case 'politicaCambio':
                        localStorage.politicaCambio = val.valor;
                        break;
                     //Controla si se habilita o deshabilita el numpad en la pantalla de cantidad y precio x producto
                    case 'preciosEditables':
                         localStorage.preciosEditables = val.valor;
                        break;
                     //Controla si se muestra el select de mas de un precio x producto
                    case 'preciosMultiples':
                         localStorage.preciosMultiples = val.valor;
                        break;
                    //Agrupa los productos repetidos en el carrito 
                    //Puede ser omitida cuando: 
                    // - Los productos tienen SN
                    // - Los productos varian su precio original
                    // - Los productos tienen opciones (pendiente de implementar)
                    case 'agruparProductos':
                        localStorage.agruparProductos = val.valor;
                        break;
                    case 'validarExistencias':
                        localStorage.validarExistencias = val.valor;
                        break;
                    case 'codPais':
                        localStorage.codPais = val.valor;
                        break;
                    case 'fontS':
                        localStorage.fontS = val.valor;
                        break;
                    case 'fontM':
                        localStorage.fontM = val.valor;
                        break;
                    case 'fontL':
                        localStorage.fontL = val.valor;
                        break;
                }
            });

            window.location = "index.html";

                    
        }
    }, "json");
}